gtkmm: Gtk::CellRendererCombo Class Reference

gtkmm 4.23.0

Public Member Functions | Static Public Member Functions | Related Symbols | List of all members
Gtk::CellRendererCombo Class Reference
TreeView Classes

Renders a combobox in a cell. More...

`#include <gtkmm/cellrenderercombo.h>`

Inheritance diagram for Gtk::CellRendererCombo:
[legend]

## Public Member Functions
| CellRendererCombo (CellRendererCombo && src) noexcept
CellRendererCombo & | operator= (CellRendererCombo && src) noexcept
| CellRendererCombo (const CellRendererCombo &)=delete
CellRendererCombo & | operator= (const CellRendererCombo &)=delete
| ~CellRendererCombo () noexcept override
GtkCellRendererCombo * | gobj ()
| Provides access to the underlying C GObject.
const GtkCellRendererCombo * | gobj () const
| Provides access to the underlying C GObject.
| CellRendererCombo ()
Glib::SignalProxy< void(const Glib::ustring &, const TreeModel::iterator &)> | signal_changed ()
Glib::PropertyProxy< Glib::RefPtr< Gtk::TreeModel > > | property_model ()
| Holds a tree model containing the possible values for the combo box.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gtk::TreeModel > > | property_model () const
| Holds a tree model containing the possible values for the combo box.
Glib::PropertyProxy< int > | property_text_column ()
| Specifies the model column which holds the possible values for the combo box.
Glib::PropertyProxy_ReadOnly< int > | property_text_column () const
| Specifies the model column which holds the possible values for the combo box.
Glib::PropertyProxy< bool > | property_has_entry ()
| If true, the cell renderer will include an entry and allow to enter values other than the ones in the popup list.
Glib::PropertyProxy_ReadOnly< bool > | property_has_entry () const
| If true, the cell renderer will include an entry and allow to enter values other than the ones in the popup list.
Public Member Functions inherited from Gtk::CellRendererText
| CellRendererText (CellRendererText && src) noexcept
CellRendererText & | operator= (CellRendererText && src) noexcept
| CellRendererText (const CellRendererText &)=delete
CellRendererText & | operator= (const CellRendererText &)=delete
| ~CellRendererText () noexcept override
GtkCellRendererText * | gobj ()
| Provides access to the underlying C GObject.
const GtkCellRendererText * | gobj () const
| Provides access to the underlying C GObject.
| CellRendererText ()
void | set_fixed_height_from_font (int number_of_rows)
| Sets the height of a renderer to explicitly be determined by the “font” and “y_pad” property set on it.
Glib::SignalProxy< void(const Glib::ustring &, const Glib::ustring &)> | signal_edited ()
Glib::PropertyProxy< Glib::ustring > | property_text ()
| Default value: "".
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_text () const
| Default value: "".
Glib::PropertyProxy_WriteOnly< Glib::ustring > | property_markup ()
| Default value: "".
Glib::PropertyProxy< Pango::AttrList > | property_attributes ()
Glib::PropertyProxy_ReadOnly< Pango::AttrList > | property_attributes () const
Glib::PropertyProxy_WriteOnly< Glib::ustring > | property_background ()
| Default value: "".
Glib::PropertyProxy_WriteOnly< Glib::ustring > | property_foreground ()
| Default value: "".
Glib::PropertyProxy< Gdk::RGBA > | property_background_rgba ()
| Background color as a GdkRGBA.
Glib::PropertyProxy_ReadOnly< Gdk::RGBA > | property_background_rgba () const
| Background color as a GdkRGBA.
Glib::PropertyProxy< Gdk::RGBA > | property_foreground_rgba ()
| Foreground color as a GdkRGBA.
Glib::PropertyProxy_ReadOnly< Gdk::RGBA > | property_foreground_rgba () const
| Foreground color as a GdkRGBA.
Glib::PropertyProxy< Glib::ustring > | property_font ()
| Default value: "".
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_font () const
| Default value: "".
Glib::PropertyProxy< Pango::FontDescription > | property_font_desc ()
Glib::PropertyProxy_ReadOnly< Pango::FontDescription > | property_font_desc () const
Glib::PropertyProxy< Glib::ustring > | property_family ()
| Default value: "".
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_family () const
| Default value: "".
Glib::PropertyProxy< Pango::Style > | property_style ()
| Default value: Pango::Style::NORMAL.
Glib::PropertyProxy_ReadOnly< Pango::Style > | property_style () const
| Default value: Pango::Style::NORMAL.
Glib::PropertyProxy< Pango::Variant > | property_variant ()
| Default value: Pango::Variant::NORMAL.
Glib::PropertyProxy_ReadOnly< Pango::Variant > | property_variant () const
| Default value: Pango::Variant::NORMAL.
Glib::PropertyProxy< int > | property_weight ()
| Default value: 400.
Glib::PropertyProxy_ReadOnly< int > | property_weight () const
| Default value: 400.
Glib::PropertyProxy< Pango::Stretch > | property_stretch ()
| Default value: Pango::Stretch::NORMAL.
Glib::PropertyProxy_ReadOnly< Pango::Stretch > | property_stretch () const
| Default value: Pango::Stretch::NORMAL.
Glib::PropertyProxy< int > | property_size ()
| Default value: 0.
Glib::PropertyProxy_ReadOnly< int > | property_size () const
| Default value: 0.
Glib::PropertyProxy< double > | property_size_points ()
| Default value: 0.000000.
Glib::PropertyProxy_ReadOnly< double > | property_size_points () const
| Default value: 0.000000.
Glib::PropertyProxy< double > | property_scale ()
| Default value: 1.000000.
Glib::PropertyProxy_ReadOnly< double > | property_scale () const
| Default value: 1.000000.
Glib::PropertyProxy< bool > | property_editable ()
| Default value: false.
Glib::PropertyProxy_ReadOnly< bool > | property_editable () const
| Default value: false.
Glib::PropertyProxy< bool > | property_strikethrough ()
| Default value: false.
Glib::PropertyProxy_ReadOnly< bool > | property_strikethrough () const
| Default value: false.
Glib::PropertyProxy< Pango::Underline > | property_underline ()
| Default value: Pango::Underline::NONE.
Glib::PropertyProxy_ReadOnly< Pango::Underline > | property_underline () const
| Default value: Pango::Underline::NONE.
Glib::PropertyProxy< int > | property_rise ()
| Default value: 0.
Glib::PropertyProxy_ReadOnly< int > | property_rise () const
| Default value: 0.
Glib::PropertyProxy< Glib::ustring > | property_language ()
| Default value: "".
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_language () const
| Default value: "".
Glib::PropertyProxy< Pango::EllipsizeMode > | property_ellipsize ()
| Specifies the preferred place to ellipsize the string, if the cell renderer does not have enough room to display the entire string.
Glib::PropertyProxy_ReadOnly< Pango::EllipsizeMode > | property_ellipsize () const
| Specifies the preferred place to ellipsize the string, if the cell renderer does not have enough room to display the entire string.
Glib::PropertyProxy< int > | property_width_chars ()
| The desired width of the cell, in characters.
Glib::PropertyProxy_ReadOnly< int > | property_width_chars () const
| The desired width of the cell, in characters.
Glib::PropertyProxy< int > | property_max_width_chars ()
| The desired maximum width of the cell, in characters.
Glib::PropertyProxy_ReadOnly< int > | property_max_width_chars () const
| The desired maximum width of the cell, in characters.
Glib::PropertyProxy< Pango::WrapMode > | property_wrap_mode ()
| Specifies how to break the string into multiple lines, if the cell renderer does not have enough room to display the entire string.
Glib::PropertyProxy_ReadOnly< Pango::WrapMode > | property_wrap_mode () const
| Specifies how to break the string into multiple lines, if the cell renderer does not have enough room to display the entire string.
Glib::PropertyProxy< int > | property_wrap_width ()
| Specifies the minimum width at which the text is wrapped.
Glib::PropertyProxy_ReadOnly< int > | property_wrap_width () const
| Specifies the minimum width at which the text is wrapped.
Glib::PropertyProxy< Pango::Alignment > | property_alignment ()
| Specifies how to align the lines of text with respect to each other.
Glib::PropertyProxy_ReadOnly< Pango::Alignment > | property_alignment () const
| Specifies how to align the lines of text with respect to each other.
Glib::PropertyProxy< bool > | property_background_set ()
| Default value: false.
Glib::PropertyProxy_ReadOnly< bool > | property_background_set () const
| Default value: false.
Glib::PropertyProxy< bool > | property_foreground_set ()
| Default value: false.
Glib::PropertyProxy_ReadOnly< bool > | property_foreground_set () const
| Default value: false.
Glib::PropertyProxy< bool > | property_family_set ()
| Default value: false.
Glib::PropertyProxy_ReadOnly< bool > | property_family_set () const
| Default value: false.
Glib::PropertyProxy< bool > | property_style_set ()
| Default value: false.
Glib::PropertyProxy_ReadOnly< bool > | property_style_set () const
| Default value: false.
Glib::PropertyProxy< bool > | property_variant_set ()
| Default value: false.
Glib::PropertyProxy_ReadOnly< bool > | property_variant_set () const
| Default value: false.
Glib::PropertyProxy< bool > | property_weight_set ()
| Default value: false.
Glib::PropertyProxy_ReadOnly< bool > | property_weight_set () const
| Default value: false.
Glib::PropertyProxy< bool > | property_stretch_set ()
| Default value: false.
Glib::PropertyProxy_ReadOnly< bool > | property_stretch_set () const
| Default value: false.
Glib::PropertyProxy< bool > | property_size_set ()
| Default value: false.
Glib::PropertyProxy_ReadOnly< bool > | property_size_set () const
| Default value: false.
Glib::PropertyProxy< bool > | property_scale_set ()
| Default value: false.
Glib::PropertyProxy_ReadOnly< bool > | property_scale_set () const
| Default value: false.
Glib::PropertyProxy< bool > | property_editable_set ()
| Default value: false.
Glib::PropertyProxy_ReadOnly< bool > | property_editable_set () const
| Default value: false.
Glib::PropertyProxy< bool > | property_strikethrough_set ()
| Default value: false.
Glib::PropertyProxy_ReadOnly< bool > | property_strikethrough_set () const
| Default value: false.
Glib::PropertyProxy< bool > | property_underline_set ()
| Default value: false.
Glib::PropertyProxy_ReadOnly< bool > | property_underline_set () const
| Default value: false.
Glib::PropertyProxy< bool > | property_rise_set ()
| Default value: false.
Glib::PropertyProxy_ReadOnly< bool > | property_rise_set () const
| Default value: false.
Glib::PropertyProxy< bool > | property_language_set ()
| Default value: false.
Glib::PropertyProxy_ReadOnly< bool > | property_language_set () const
| Default value: false.
Glib::PropertyProxy< bool > | property_ellipsize_set ()
| Default value: false.
Glib::PropertyProxy_ReadOnly< bool > | property_ellipsize_set () const
| Default value: false.
Glib::PropertyProxy< bool > | property_single_paragraph_mode ()
| Default value: false.
Glib::PropertyProxy_ReadOnly< bool > | property_single_paragraph_mode () const
| Default value: false.
Glib::PropertyProxy< bool > | property_align_set ()
| Default value: false.
Glib::PropertyProxy_ReadOnly< bool > | property_align_set () const
| Default value: false.
Glib::PropertyProxy< Glib::ustring > | property_placeholder_text ()
| The text that will be displayed in the Gtk::CellRenderer if GtkCellRendererText:editable is true and the cell is empty.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_placeholder_text () const
| The text that will be displayed in the Gtk::CellRenderer if GtkCellRendererText:editable is true and the cell is empty.
Public Member Functions inherited from Gtk::CellRenderer
| CellRenderer (CellRenderer && src) noexcept
CellRenderer & | operator= (CellRenderer && src) noexcept
| CellRenderer (const CellRenderer &)=delete
CellRenderer & | operator= (const CellRenderer &)=delete
| ~CellRenderer () noexcept override
GtkCellRenderer * | gobj ()
| Provides access to the underlying C GObject.
const GtkCellRenderer * | gobj () const
| Provides access to the underlying C GObject.
SizeRequestMode | get_request_mode () const
| Gets whether the cell renderer prefers a height-for-width layout or a width-for-height layout.
void | get_preferred_width (Widget & widget, int & minimum_width, int & natural_width) const
| Retrieves a renderer’s natural size when rendered to widget.
void | get_preferred_height_for_width (Widget & widget, int width, int & minimum_height, int & natural_height) const
| Retrieves a cell renderers’s minimum and natural height if it were rendered to widget with the specified width.
void | get_preferred_height (Widget & widget, int & minimum_height, int & natural_height) const
| Retrieves a renderer’s natural size when rendered to widget.
void | get_preferred_width_for_height (Widget & widget, int height, int & minimum_width, int & natural_width) const
| Retrieves a cell renderers’s minimum and natural width if it were rendered to widget with the specified height.
void | get_preferred_size (Widget & widget, Requisition & minimum_size, Requisition & natural_size) const
| Retrieves the minimum and natural size of a cell taking into account the widget’s preference for height-for-width management.
Gdk::Rectangle | get_aligned_area (Widget & widget, CellRendererState flags, const Gdk::Rectangle & cell_area) const
| Gets the aligned area used by this CellRenderer inside cell_area.
void | snapshot (const Glib::RefPtr< Gtk::Snapshot > & snapshot, Widget & widget, const Gdk::Rectangle & background_area, const Gdk::Rectangle & cell_area, CellRendererState flags)
| Invokes the virtual render function of the Gtk::CellRenderer.
bool | activate (const Glib::RefPtr< const Gdk::Event > & event, Widget & widget, const Glib::ustring & path, const Gdk::Rectangle & background_area, const Gdk::Rectangle & cell_area, CellRendererState flags)
| Passes an activate event to the cell renderer for possible processing.
CellEditable * | start_editing (const Glib::RefPtr< const Gdk::Event > & event, Widget & widget, const Glib::ustring & path, const Gdk::Rectangle & background_area, const Gdk::Rectangle & cell_area, CellRendererState flags=CellRendererState(0))
| Starts editing the contents of this cell, through a new Gtk::CellEditable widget created by the Gtk::CellRendererClass.start_editing virtual function.
void | set_fixed_size (int width, int height)
| Sets the renderer size to be explicit, independent of the properties set.
void | get_fixed_size (int & width, int & height) const
| Fills in width and height with the appropriate size of cell.
void | set_alignment (float xalign, float yalign)
| Sets the renderer’s alignment within its available space.
void | get_alignment (float & xalign, float & yalign) const
| Fills in xalign and yalign with the appropriate values of cell.
void | set_padding (int xpad, int ypad)
| Sets the renderer’s padding.
void | get_padding (int & xpad, int & ypad) const
| Fills in xpad and ypad with the appropriate values of cell.
void | set_visible (bool visible=true)
| Sets the cell renderer’s visibility.
bool | get_visible () const
| Returns the cell renderer’s visibility.
void | set_sensitive (bool sensitive=true)
| Sets the cell renderer’s sensitivity.
bool | get_sensitive () const
| Returns the cell renderer’s sensitivity.
bool | is_activatable () const
| Checks whether the cell renderer can do something when activated.
void | set_is_expander (bool is_expander=true)
| Sets whether the given Gtk::CellRenderer is an expander.
bool | get_is_expander () const
| Checks whether the given Gtk::CellRenderer is an expander.
void | set_is_expanded (bool is_expanded=true)
| Sets whether the given Gtk::CellRenderer is expanded.
bool | get_is_expanded () const
| Checks whether the given Gtk::CellRenderer is expanded.
void | stop_editing (bool canceled=false)
| Informs the cell renderer that the editing is stopped.
StateFlags | get_state (Widget & widget, CellRendererState cell_state) const
| Translates the cell renderer state to Gtk::StateFlags, based on the cell renderer and widget sensitivity, and the given Gtk::CellRendererState.
StateFlags | get_state (CellRendererState cell_state) const
| A get_state() convenience overload.
Glib::SignalProxy< void()> | signal_editing_canceled ()
Glib::SignalProxy< void(CellEditable *, const Glib::ustring &)> | signal_editing_started ()
Glib::PropertyProxy< CellRendererMode > | property_mode ()
| Default value: Gtk::CellRendererMode::INERT.
Glib::PropertyProxy_ReadOnly< CellRendererMode > | property_mode () const
| Default value: Gtk::CellRendererMode::INERT.
Glib::PropertyProxy< bool > | property_visible ()
| Default value: true.
Glib::PropertyProxy_ReadOnly< bool > | property_visible () const
| Default value: true.
Glib::PropertyProxy< bool > | property_sensitive ()
| Default value: true.
Glib::PropertyProxy_ReadOnly< bool > | property_sensitive () const
| Default value: true.
Glib::PropertyProxy< float > | property_xalign ()
| Default value: 0.500000.
Glib::PropertyProxy_ReadOnly< float > | property_xalign () const
| Default value: 0.500000.
Glib::PropertyProxy< float > | property_yalign ()
| Default value: 0.500000.
Glib::PropertyProxy_ReadOnly< float > | property_yalign () const
| Default value: 0.500000.
Glib::PropertyProxy< unsigned int > | property_xpad ()
| Default value: 0.
Glib::PropertyProxy_ReadOnly< unsigned int > | property_xpad () const
| Default value: 0.
Glib::PropertyProxy< unsigned int > | property_ypad ()
| Default value: 0.
Glib::PropertyProxy_ReadOnly< unsigned int > | property_ypad () const
| Default value: 0.
Glib::PropertyProxy< int > | property_width ()
| Default value: -1.
Glib::PropertyProxy_ReadOnly< int > | property_width () const
| Default value: -1.
Glib::PropertyProxy< int > | property_height ()
| Default value: -1.
Glib::PropertyProxy_ReadOnly< int > | property_height () const
| Default value: -1.
Glib::PropertyProxy< bool > | property_is_expander ()
| Default value: false.
Glib::PropertyProxy_ReadOnly< bool > | property_is_expander () const
| Default value: false.
Glib::PropertyProxy< bool > | property_is_expanded ()
| Default value: false.
Glib::PropertyProxy_ReadOnly< bool > | property_is_expanded () const
| Default value: false.
Glib::PropertyProxy_WriteOnly< Glib::ustring > | property_cell_background ()
| Default value: "".
Glib::PropertyProxy< Gdk::RGBA > | property_cell_background_rgba ()
| Cell background as a GdkRGBA.
Glib::PropertyProxy_ReadOnly< Gdk::RGBA > | property_cell_background_rgba () const
| Cell background as a GdkRGBA.
Glib::PropertyProxy< bool > | property_cell_background_set ()
| Default value: false.
Glib::PropertyProxy_ReadOnly< bool > | property_cell_background_set () const
| Default value: false.
Glib::PropertyProxy_ReadOnly< bool > | property_editing () const
| Default value: false.
Public Member Functions inherited from Gtk::Object
| Object (Object && src) noexcept
Object & | operator= (Object && src) noexcept
| ~Object () noexcept override
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data_with_c_callback (const Quark &key, void *data, GDestroyNotify notify)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
PropertyType | get_property (const Glib::ustring &property_name) const
sigc::connection | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void()> &slot)
sigc::connection | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void()> &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src) noexcept
| ~trackable ()
void | add_destroy_notify_callback (notifiable *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src) noexcept
void | remove_destroy_notify_callback (notifiable *data) const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Gtk::CellRendererText
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Gtk::CellRenderer
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Related Symbols
(Note that these are not member symbols.)
Gtk::CellRendererCombo * | wrap (GtkCellRendererCombo * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gtk::CellRendererText
Gtk::CellRendererText * | wrap (GtkCellRendererText * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gtk::CellRenderer
Gtk::CellRenderer * | wrap (GtkCellRenderer * object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify
Public Types inherited from sigc::notifiable
typedef internal::func_destroy_notify | func_destroy_notify
Protected Member Functions inherited from Gtk::CellRendererText
void | edited (const Glib::ustring & path, const Glib::ustring & new_text)
| Emits the "edited" signal.
virtual void | on_edited (const Glib::ustring & path, const Glib::ustring & new_text)
| This is a default handler for the signal signal_edited().
Protected Member Functions inherited from Gtk::CellRenderer
| CellRenderer ()
virtual SizeRequestMode | get_request_mode_vfunc () const
virtual void | get_preferred_width_vfunc (Widget & widget, int & minimum_width, int & natural_width) const
virtual void | get_preferred_height_for_width_vfunc (Widget & widget, int width, int & minimum_height, int & natural_height) const
virtual void | get_preferred_height_vfunc (Widget & widget, int & minimum_height, int & natural_height) const
virtual void | get_preferred_width_for_height_vfunc (Widget & widget, int height, int & minimum_width, int & natural_width) const
virtual void | snapshot_vfunc (const Glib::RefPtr< Gtk::Snapshot > &snapshot, Widget & widget, const Gdk::Rectangle & background_area, const Gdk::Rectangle & cell_area, CellRendererState flags)
virtual bool | activate_vfunc (const Glib::RefPtr< const Gdk::Event > & event, Widget & widget, const Glib::ustring & path, const Gdk::Rectangle & background_area, const Gdk::Rectangle & cell_area, CellRendererState flags)
virtual CellEditable * | start_editing_vfunc (const Glib::RefPtr< const Gdk::Event > & event, Widget & widget, const Glib::ustring & path, const Gdk::Rectangle & background_area, const Gdk::Rectangle & cell_area, CellRendererState flags)
virtual void | on_editing_canceled ()
| This is a default handler for the signal signal_editing_canceled().
virtual void | on_editing_started (CellEditable * editable, const Glib::ustring & path)
| This is a default handler for the signal signal_editing_started().
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Detailed Description

Renders a combobox in a cell.

CellRendererCombo renders text in a cell like CellRendererText, from which it is derived. But while CellRendererText offers a simple entry to edit the text, CellRendererCombo offers a ComboBox or ComboBoxEntry widget to edit the text. The values to display in the combo box are taken from the tree model specified in the model property.

The combo cell renderer takes care of adding a text cell renderer to the combo box and sets it to display the column specified by its text_column property. Further cell renderers can be added in a handler for the editing_started signal.

Deprecated
  4.10: List views use widgets to display their contents. You should use Gtk::DropDown instead.

## Constructor & Destructor Documentation

## ◆ CellRendererCombo() [1/3]

Gtk::CellRendererCombo::CellRendererCombo | ( | CellRendererCombo && | src | ) |
| noexcept

## ◆ CellRendererCombo() [2/3]

Gtk::CellRendererCombo::CellRendererCombo | ( | const CellRendererCombo & |  | ) |
| delete

## ◆ ~CellRendererCombo()

Gtk::CellRendererCombo::~CellRendererCombo | ( |  | ) |
| overridenoexcept

## ◆ CellRendererCombo() [3/3]

Gtk::CellRendererCombo::CellRendererCombo | ( |  | ) |

## Member Function Documentation

## ◆ get_type()

GType Gtk::CellRendererCombo::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GtkCellRendererCombo * Gtk::CellRendererCombo::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkCellRendererCombo * Gtk::CellRendererCombo::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ operator=() [1/2]

CellRendererCombo & Gtk::CellRendererCombo::operator= | ( | CellRendererCombo && | src | ) |
| noexcept

## ◆ operator=() [2/2]

CellRendererCombo & Gtk::CellRendererCombo::operator= | ( | const CellRendererCombo & |  | ) |
| delete

## ◆ property_has_entry() [1/2]

Glib::PropertyProxy< bool > Gtk::CellRendererCombo::property_has_entry | ( |  | ) |

If true, the cell renderer will include an entry and allow to enter values other than the ones in the popup list.

Default value: true

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_has_entry() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::CellRendererCombo::property_has_entry | ( |  | ) | const

If true, the cell renderer will include an entry and allow to enter values other than the ones in the popup list.

Default value: true

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_model() [1/2]

Glib::PropertyProxy< Glib::RefPtr< Gtk::TreeModel > > Gtk::CellRendererCombo::property_model | ( |  | ) |

Holds a tree model containing the possible values for the combo box.

Use the text_column property to specify the column holding the values.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_model() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gtk::TreeModel > > Gtk::CellRendererCombo::property_model | ( |  | ) | const

Holds a tree model containing the possible values for the combo box.

Use the text_column property to specify the column holding the values.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_text_column() [1/2]

Glib::PropertyProxy< int > Gtk::CellRendererCombo::property_text_column | ( |  | ) |

Specifies the model column which holds the possible values for the combo box.

Note that this refers to the model specified in the model property, not the model backing the tree view to which this cell renderer is attached.

Gtk::CellRendererCombo automatically adds a text cell renderer for this column to its combo box.

Default value: -1

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_text_column() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::CellRendererCombo::property_text_column | ( |  | ) | const

Specifies the model column which holds the possible values for the combo box.

Note that this refers to the model specified in the model property, not the model backing the tree view to which this cell renderer is attached.

Gtk::CellRendererCombo automatically adds a text cell renderer for this column to its combo box.

Default value: -1

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ signal_changed()

Glib::SignalProxy< void(const Glib::ustring &, const TreeModel::iterator &)> Gtk::CellRendererCombo::signal_changed | ( |  | ) |

Slot Prototype:
  void on_my_changed(const Glib::ustring& path, const TreeModel::iterator& iter)

Flags: Run Last

This signal is emitted each time after the user selected an item in the combo box, either by using the mouse or the arrow keys. Contrary to GtkComboBox, GtkCellRendererCombo::changed is not emitted for changes made to a selected item in the entry. The argument iter corresponds to the newly selected item in the combo box and it is relative to the GtkTreeModel set via the model property on GtkCellRendererCombo.

Note that as soon as you change the model displayed in the tree view, the tree view will immediately cease the editing operating. This means that you most probably want to refrain from changing the model until the combo cell renderer emits the edited or editing_canceled signal.

Parameters

  path | A string of the path identifying the edited cell (relative to the tree view model).
  iter | The new iter selected in the combo box (relative to the combo box model).

## Friends And Related Symbol Documentation

## ◆ wrap()

Gtk::CellRendererCombo * wrap | ( | GtkCellRendererCombo * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.